MSVSSCHECKOUT (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.vss, class: MSVSSCHECKOUT

Package org.apache.tools.ant.taskdefs.optional.vss

# Class MSVSSCHECKOUT

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.vss.MSVSS
org.apache.tools.ant.taskdefs.optional.vss.MSVSSCHECKOUT

All Implemented Interfaces:
  `java.lang.Cloneable`, `MSVSSConstants`

    public class MSVSSCHECKOUT
    extends MSVSS

Performs CheckOut commands to Microsoft Visual SourceSafe.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS

  `MSVSS.CurrentModUpdated, MSVSS.WritableFiles`

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

  ### Fields inherited from interface org.apache.tools.ant.taskdefs.optional.vss.MSVSSConstants

  `COMMAND_ADD, COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CP, COMMAND_CREATE, COMMAND_GET, COMMAND_HISTORY, COMMAND_LABEL, FLAG_AUTORESPONSE_DEF, FLAG_AUTORESPONSE_NO, FLAG_AUTORESPONSE_YES, FLAG_BRIEF, FLAG_CODEDIFF, FLAG_COMMENT, FLAG_FILETIME_DEF, FLAG_FILETIME_MODIFIED, FLAG_FILETIME_UPDATED, FLAG_LABEL, FLAG_LOGIN, FLAG_NO_FILE, FLAG_NO_GET, FLAG_OUTPUT, FLAG_OVERRIDE_WORKING_DIR, FLAG_QUIET, FLAG_RECURSION, FLAG_REPLACE_WRITABLE, FLAG_SKIP_WRITABLE, FLAG_USER, FLAG_VERSION, FLAG_VERSION_DATE, FLAG_VERSION_LABEL, FLAG_WRITABLE, PROJECT_PREFIX, SS_EXE, STYLE_BRIEF, STYLE_CODEDIFF, STYLE_DEFAULT, STYLE_NOFILE, TIME_CURRENT, TIME_MODIFIED, TIME_UPDATED, VALUE_FROMDATE, VALUE_FROMLABEL, VALUE_NO, VALUE_YES, WRITABLE_FAIL, WRITABLE_REPLACE, WRITABLE_SKIP`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MSVSSCHECKOUT()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected Commandline` | `buildCmdLine()` | Builds a command line to execute ss.
  `void` | `setAutoresponse​(java.lang.String response)` | Autoresponse behaviour.
  `void` | `setDate​(java.lang.String date)` | Date to check-out.
  `void` | `setFileTimeStamp​(MSVSS.CurrentModUpdated timestamp)` | Date and time stamp given to the local copy.
  `void` | `setGetLocalCopy​(boolean get)` | Retrieve a local copy during a checkout.
  `void` | `setLabel​(java.lang.String label)` | Label to check-out.
  `void` | `setLocalpath​(Path localPath)` | Override the project working directory.
  `void` | `setRecursive​(boolean recursive)` | Check-out files recursively.
  `void` | `setVersion​(java.lang.String version)` | Version to check-out.
  `void` | `setWritableFiles​(MSVSS.WritableFiles files)` | Action taken when local files are writable.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.vss.MSVSS

  `execute, getAutoresponse, getComment, getFileTimeStamp, getGetLocalCopy, getLabel, getLocalpath, getLogin, getOutput, getQuiet, getRecursive, getSSCommand, getStyle, getUser, getVersion, getVersionDate, getVersionDateLabel, getVersionLabel, getVsspath, getWritable, getWritableFiles, setFailOnError, setInternalAutoResponse, setInternalComment, setInternalDate, setInternalDateFormat, setInternalFailOnError, setInternalFileTimeStamp, setInternalFromDate, setInternalFromLabel, setInternalGetLocalCopy, setInternalLabel, setInternalLocalPath, setInternalNumDays, setInternalOutputFilename, setInternalQuiet, setInternalRecursive, setInternalStyle, setInternalToDate, setInternalToLabel, setInternalUser, setInternalVersion, setInternalWritable, setInternalWritableFiles, setLogin, setServerpath, setSsdir, setVsspath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MSVSSCHECKOUT

    public MSVSSCHECKOUT()

- ## Method Details

  - ### buildCmdLine

    protected Commandline buildCmdLine()
    Builds a command line to execute ss.
    Returns:
      The constructed commandline.

  - ### setLocalpath

    public void setLocalpath​(Path localPath)
    Override the project working directory.
    Parameters:
      `localPath` - The path on disk.

  - ### setRecursive

    public void setRecursive​(boolean recursive)
    Check-out files recursively. Defaults to false.
    Parameters:
      `recursive` - The boolean value for recursive.

  - ### setVersion

    public void setVersion​(java.lang.String version)
    Version to check-out.
    Parameters:
      `version` - The version to check-out.

  - ### setDate

    public void setDate​(java.lang.String date)
    Date to check-out.
    Parameters:
      `date` - The date to check-out.

  - ### setLabel

    public void setLabel​(java.lang.String label)
    Label to check-out.
    Parameters:
      `label` - The label to check-out.

  - ### setAutoresponse

    public void setAutoresponse​(java.lang.String response)
    Autoresponse behaviour. Valid options are Y and N.
    Parameters:
      `response` - The auto response value.

  - ### setFileTimeStamp

    public void setFileTimeStamp​(MSVSS.CurrentModUpdated timestamp)
    Date and time stamp given to the local copy. Defaults to `current`.
    Parameters:
      `timestamp` - The file time stamping behaviour.

  - ### setWritableFiles

    public void setWritableFiles​(MSVSS.WritableFiles files)
    Action taken when local files are writable. Defaults to `fail`.

    Due to ss.exe returning with an exit code of '100' for both errors and when a file has been skipped, `failonerror` is set to false when using the `skip` option.

    Parameters:
      `files` - The writable files behaviour

  - ### setGetLocalCopy

    public void setGetLocalCopy​(boolean get)
    Retrieve a local copy during a checkout. Defaults to true.
    Parameters:
      `get` - The get local copy behaviour